Event Videos

This API allows you to view the details of the event videos generated for your account between a specified timeframe. You are allowed to filter the result by adding vehicleId or userId(driverId) & event type in the request body. The body parameters vehicleId or userId(driverId) is a mandatory parameter. Each page will have 50 records each by default.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://services.azuga.com/azuga-ws-oauth/v3/eventVideos.json

{
    "eventTypes": "CAM_BUTTON_PRESSED,CAM_DISTRACTED_DRIVING,CAM_EATING_DRINKING,CAM_PHONE_USE,CAM_TAMPERED,CAM_UNBELTED,CAM_VIOLENT_LEFT_TURN,CAM_VIOLENT_RIGHT_TURN,HARD_ACCELERATION_MESSAGE,HARD_BREAKING_MESSAGE,HARD_CORE_BRAKING_MESSAGE,REQUESTED_MESSAGE,CAM_ACCIDENT_AI,CAM_GFORCE_HIGH,CAM_GFORCE_REGULAR,CAM_POSSIBLE_FATIGUE,CAM_OBSTRUCTION",
    "selectAll": false,
    "vehiclesIds": "b9832540-8b65-11ec-91dd-0d84087e6e9b,7735a26d-e554-11ec-9366-7dccafc455d7,d396c620-94c3-11ec-b997-83862b04203f,cce7a04c-59e4-11ec-90ce-5995d834178a",
    "endTime": "2023-02-20 11:59:59 PM",
    "startTime": "2023-02-14 12:00:00 AM",
    "page": 1,
    "userIds": "",
    "onlyRisky": false,
    "onlyTagged": true,
    "events": "obstruction",
    "limit":80
}
{
  "requestedVideoId": "01c7d599-bb52-11ee-9eea-0f399c55811e"
}
{
  "eventVideoIdInString": "5380BCC84ECFA337852AFD5031B3F323"
}

API Response explanation

FieldDescriptionData Type
generatedAtInMillisAPI generation timestamp in UTCLong
dataObject representing the meta data of the event videosObject
eventVideoIdUnique identifier representing the eventString
customerIdUnique identifier representing the customer - For internal uselong
locationStoreIdUnique identifier representing the eventString
latLatitude of the locationDouble
lonLongitude of the locationDouble
obdSpeedFor internal Azuga useInteger
obdMaxSpeedFor internal Azuga useInteger
obdAverageSpeedFor internal Azuga useInteger
addressAddress of the event locationString
eventTypeName of the event typeString
deviceIdUnique identifier representing the deviceString
deviceTimezoneTimezone of the deviceString
devicetzUpdatedAtTimezone updated timestamp in UTC millisecondsDate
serialNumSerial number of the deviceString
vehicleIdUnique identifier representing the vehicle - For internal Azuga useString
vehicleNameName of the vehicleString
userIdUnique identifier representing the driver - For internal Azuga useString
firstNameFirst name of the driverString
lastNameLast name of the driverString
groupIdUnique identifier representing the groupString
groupnameName of the groupString
parentGroupIdParent group of the child group. For internal Azuga useString
parentGroupnameParent group name of the child group. For internal Azuga useString
foreparentGroupIdFore parent group of the child group. For internal Azuga useString
foreparentGroupNameFore parent group name of the child group. For internal Azuga useString
dashcamTypeFor internal Azuga useString[]
eventTimeEvent time in UTC millisecondsDate
eventEndTimeFor internal Azuga useDate
createdAtFor internal Azuga useDate
tripDistanceFor internal Azuga useDouble
fixQualityFor internal Azuga useInteger
vendorIdUnique identifier representing the vendor - For internal Azuga useInteger
lensIdFor internal Azuga useInteger
requestedVideoObject representing the metadata of the requested videoObject
requestedVideoNameName of the requested videoString
userIdUnique identifier representing the driverString
firstNameFirst name of the driverString
lastNameLast name of the driverString
requestedVideoIdUnique identifier representing the requested video. This id can be used to filter the data using the body parameter - 'requestedVideoId' in successive requestsString
badgeFor internal Azuga useEventVideoBadge[]
videoLinkAvailableFor internal Azuga useBoolean
badgeAccurateFor internal Azuga useBoolean
updatedAtFor internal Azuga useDate
commentsFor internal Azuga useString
categoryNamesFor internal Azuga useString
status

The current status of the requested video. This filed is applicable only for video type is requested video.

The valid inputs are
1 - Request submitted by the user,
2 - Request sent to the AI Camera,
3 - Camera is offline,
4 - Camera confirms video is not available,
5 - Camera confirms video is available,
6 - At least one video retrieved,
7 - All Videos retrieved

Integer
videoLinksObject representing the video link informationLis<List<VideoLink>>
videoIndexIndex of the video
1 = Road facing
2 = Driver facing
Integer
videoNameName of the video; Road/Driver facing.String
videoLinkURL of the videoString
thumbnailLinkURL of the thumbnailString
speedInitial speed of the vehicle in KphInteger
maxSpeedFinal speed of the vehicle in KphInteger
displayTimeZoneTimezone of the vehicleString
offsetDifference of time in milliseconds from UTC timezoneInteger
confirmedRiskyFor internal Azuga useboolean
deletedFor internal Azuga useboolean
deletedAtFor internal Azuga useDate
eventVideoIdInStringUnique identifier representing the event video. This id can be used to filter the data using the body parameter - 'eventVideoIdInString' in successive requestsString
Query Params
string

This field filters the data based on the type of the video. The valid inputs are: 1. requestedVideo, 2. eventVideo

Body Params
date-time
required

Start time of the event video you would like to generate in 'YYYY-MM-DD hh:mm:ss a' format

date-time
required

End time of the event video you would like to generate in 'YYYY-MM-DD hh:mm:ss a; format

int32
required

Page number of the result set. By default, one page will have 50 records.

string

Type of events the result set to be filtered out. Valid eventTypes are CAM_BUTTON_PRESSED,CAM_DISCONNECT,CAM_DISTRACTED_DRIVING,CAM_EATING_DRINKING,CAM_IMPACT,CAM_PHONE_USE,CAM_SMOKING,CAM_TAMPERED,CAM_UNBELTED,CAM_VIOLENT_LEFT_TURN,CAM_VIOLENT_RIGHT_TURN,HARD_ACCELERATION_MESSAGE,HARD_BREAKING_MESSAGE,HARD_CORE_BRAKING_MESSAGE,REQUESTED_MESSAGE,CAM_ACCIDENT_AI,CAM_GFORCE_HIGH,CAM_GFORCE_REGULAR,CAM_POSSIBLE_FATIGUE,CAM_TAILGATING,CAM_OBSTRUCTION,CAM_LANE_DEPARTURE

boolean

Set this value to True if the result set needs to be included with all event type videos.

string

Unique identifier representing the vehicles to be filtered in the result set. Set this to null ("vehiclesIds":"") to add all vehicles

string

Unique identifier representing the drivers to be filtered in the result set

boolean

Set this to true if the result set needs to be filtered with "Videos Worth Watching". By default, this field is set to false

boolean

Set this to true if the result set needs to be filtered with "Tagged Videos". By default, this field is set to false

string

This represents the different type of tag that is associated with the event video. The parameter "onlyTagged" should be set to True for this field to be active. Valid values are obstruction, inattention(not focussed), phone(Using phone), rash_driving(Rash driving) and accident. Set this field to null ("") if you would like to see all tag videos.

int32

This field helps to filter the result data based on the status of the requested video. This is applicable only for the query parameter videotype=requestedVideo. The valid inputs for vendorId = 14(Safetycam) are 1 - Request submitted by the user, 4 - Camera confirms video is not available or not able to retrieve it after trying for one month, 6 - At least one video retrieved and for vendorId = 15(Azuga AI Camera) are 1 - Request submitted by the user, 2 - Request sent to the AI Camera, 3 - Camera is offline, 4 - Camera confirms video is not available or not able to retrieve it after trying for one month, 5 - Camera confirms video is available, 6 - At least one video retrieved, 7 - All Videos retrieved

int32

The number of records to be retrieved in one page. By default, the value of this field is 50. We are allowed to increase the limit upto 100.

string

Unique identifier representing requested video. This field can be added if you would like to filter the data using the identifier of requested video. This is valid only when the query parameter videoType=1.

string

Unique identifier representing event video. This field can be added if you would like to filter the data using the identifier of event video. This is valid only when the query parameter videoType=2.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json